; ##############################################################################
; ##############################################################################
; ##############################################################################
BAROMETER_INITIALISIERUNG:
	call BAROMETER_FARBE		; FARBE
	rcall BAROMETER_SKALA
	STS(adr_HP03S_P_OLD_L),NULL
	STS(adr_HP03S_P_OLD_H),NULL
	rjmp BAROMETER_ACTION
; ##############################################################################
; ##############################################################################
; ##############################################################################
BAROMETER:
	LDS temp,(adr_ss)
	andi temp,0b00011111
	tst temp
	breq BAROMETER_ACTION
	ret
;-------------------------------------------------------------------------------
BAROMETER_ACTION:
	call BAROMETER_FARBE		; FARBE
	call GRAFIC_PUNKTGROESSE_0
	call BAROMETER_ANZEIGE_MARKIERUNG

	call HP03S_MESSUNG			; Messung

	call FARBE_SCHWARZ	; FARBE
	rcall BAROMETER_ANZEIGE_MARKIERUNG

	call BAROMETER_FARBE		; FARBE
	call BAROMETER_ANZEIGE_WERT
	; VERGLEICH					
	LDS R0,(adr_HP03S_P_L)
	LDS R1,(adr_HP03S_P_OLD_L)
	cp R0,R1
	brne BAROMETER_RUN
	ret
;-------------------------------------------------------------------------------
BAROMETER_RUN:
	call BAROMETER_FARBE		; FARBE
	rcall BAROMETER_SKALA
	
	ldi temp,70
	STS(adr_GRAFIC_ZEIGER_LAENGE),temp

	call GRAFIC_PUNKTGROESSE_2
	call FARBE_SCHWARZ	; FARBE
	LDS temp1,(adr_HP03S_P_OLD_L)
	LDS temp2,(adr_HP03S_P_OLD_H)
	call BAROMETER_ZEIGER_TEMP1_TEMP2

	call BAROMETER_FARBE		; FARBE
	LDS temp1,(adr_HP03S_P_L)
	LDS temp2,(adr_HP03S_P_H)
	STS(adr_HP03S_P_OLD_L),temp1
	STS(adr_HP03S_P_OLD_H),temp2
	call BAROMETER_ZEIGER_TEMP1_TEMP2

	; Mittelpunkt	
	call GRAFIC_PUNKTGROESSE_6
	ldi XL,LOW (180/2)
	ldi XH,HIGH(180/2)
	ldi YL,LOW (160/2)
	ldi YH,HIGH(160/2)
	call GRAFIC_PUNKT_X_Y

	call WAIT_500ms


ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 1010,0=10100																	
BAROMETER_ZEIGER_TEMP1_TEMP2:
	; TESTZAHL				
;	ldi temp1,LOW (10000)
;	ldi temp2,HIGH(10000)	
	; ZAHLENWERT verkleinern
BAROMETER_ZEIGER_s0:
	subi temp1, LOW (800)
	sbci temp2, HIGH(800)
	brpl BAROMETER_ZEIGER_s0
	subi temp1, LOW (-800)
	sbci temp2, HIGH(-800)
	; mal 115				
	mov R0,temp1
	mov R1,temp2
	clr temp3
	ldi temp9,(115-1)
BAROMETER_ZEIGER_s1:
	add temp1,R0
	adc temp2,R1
	adc temp3,NULL
	dec temp9
	brne BAROMETER_ZEIGER_s1
	; aufrunden				
	ldi temp,128
	add temp1,temp
	adc temp2,NULL
	adc temp3,NULL
	; :256					
	mov temp1,temp2
	mov temp2,temp3
	; OFFSET				
	ldi temp,135
	add temp1,temp
	adc temp2,NULL
	
	STS(adr_GRAFIC_WINKEL_L),temp1
	STS(adr_GRAFIC_WINKEL_H),temp2
	jmp GRAFIC_ZEIGER
; ##############################################################################
; ##############################################################################
; ##############################################################################
BAROMETER_SKALA:
	; BESCHRIFTUNG		
	call ASCII_CURSOR_ZEILE_12
	call ASCII_LEER2
	call ASCII_9
	call ASCII_8
	call ASCII_0
	call ASCII_LEER10
	call ASCII_LEER2
	call ASCII_1
	call ASCII_0
	call ASCII_4
	call ASCII_0

	call GRAFIC_PUNKTGROESSE_2
	ldi XL,LOW (180/2)
	ldi XH,HIGH(180/2)
	ldi YL,LOW (160/2)
	ldi YH,HIGH(160/2)
	STS(adr_GRAFIC_X1),XL
	STS(adr_GRAFIC_Y1),YL
	call GRAFIC_PUNKT_X_Y			; Mittelpunkt	

	ldi temp,75
	STS(adr_GRAFIC_ZEIGER_LAENGE),temp

	ldi ZL, LOW(225)
	ldi ZH,HIGH(225)
	ldi temp9,7
BAROMETER_SKALA_s:
	STS(adr_GRAFIC_WINKEL_L),ZL
	STS(adr_GRAFIC_WINKEL_H),ZH
	call GRAFIC_PUNKT_AUF_KREIS
	adiw ZL,45
	dec temp9
	brne BAROMETER_SKALA_s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
BAROMETER_ANZEIGE_WERT:
	call ASCII_CURSOR_ZEILE_11
	call ASCII_LEER8
	call HP03S_ANZEIGE_DRUCK_KURZ
	call ASCII_CURSOR_ZEILE_NEXT
	call ASCII_LEER9
	call HP03S_ANZEIGE_TEMPERATUR_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
BAROMETER_ANZEIGE_MARKIERUNG:
	clr XL
	clr XH
	clr YL
	clr YH
	jmp GRAFIC_PUNKT_X_Y
; ##############################################################################
; ##############################################################################
; ##############################################################################
BAROMETER_FARBE:
	call FARBE_TAG_NACHT
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################


