; ##############################################################################
; ##############################################################################
; ##############################################################################
VGA_TEST_PROGRAMM:
	call VGA_TEST_ASCII
	call wait_1s
	call GRAFIC_CLEAR

	call VGA_TEST_SCHACHBRETT
	call wait_50ms
	call GRAFIC_CLEAR

	call VGA_TEST_PUNKTGROESSE
	call wait_100ms
	call GRAFIC_CLEAR

	call VGA_TEST_FARB_PIXEL
	call wait_50ms
	call GRAFIC_CLEAR

	call VGA_TEST_LINE
	call wait_50ms
	call GRAFIC_CLEAR
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
VGA_TEST_KREIS:
	ldi temp1,180/2			; Mittelpunkt	
	ldi temp2,160/2
	STS(adr_GRAFIC_X1),temp1
	STS(adr_GRAFIC_Y1),temp2
	ldi temp,75
	STS(adr_GRAFIC_ZEIGER_LAENGE),temp

VGA_TEST_KREIS_s:
	call GRAFIC_KREIS
	LDS temp,(adr_GRAFIC_ZEIGER_LAENGE)
	dec temp
	STS(adr_GRAFIC_ZEIGER_LAENGE),temp
	brne VGA_TEST_KREIS_s

	call wait_1s
	call wait_1s
	call GRAFIC_CLEAR
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
VGA_TEST_ZEIGER:
	ldi temp1,180/2			; Mittelpunkt	
	ldi temp2,160/2
	STS(adr_GRAFIC_X1),temp1
	STS(adr_GRAFIC_Y1),temp2

	ldi temp,75
	STS(adr_GRAFIC_ZEIGER_LAENGE),temp

	ldi temp1, LOW(0)
	ldi temp2,HIGH(0)
	STS(adr_GRAFIC_WINKEL_L),temp1
	STS(adr_GRAFIC_WINKEL_H),temp2

	ldi temp9,60
VGA_TEST_ZEIGER_s:
	push temp9
	call GRAFIC_ZEIGER
	call wait_100ms
	pop temp9
	LDS temp1,(adr_GRAFIC_WINKEL_L)
	LDS temp2,(adr_GRAFIC_WINKEL_H)
	ldi temp,6
	add temp1,temp
	adc temp2,NULL
	STS(adr_GRAFIC_WINKEL_L),temp1
	STS(adr_GRAFIC_WINKEL_H),temp2
	dec temp9
	brne VGA_TEST_ZEIGER_s

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
VGA_TEST_LINE:

	ldi temp1,180/2			; Mittelpunkt	
	ldi temp2,160/2
	ldi temp3,180/2+50
	ldi temp4,160/2-50
	STS(adr_GRAFIC_X1),temp1
	STS(adr_GRAFIC_Y1),temp2
	STS(adr_GRAFIC_X2),temp3
	STS(adr_GRAFIC_Y2),temp4
;-------------------------------------------------------------------------------
	ldi temp9,100
VGA_TEST_LINE_S1:
	call GRAFIC_LINIE
	LDS temp,(adr_GRAFIC_Y2)
	inc temp
	STS(adr_GRAFIC_Y2),temp
	dec temp9
	brne VGA_TEST_LINE_S1
;-------------------------------------------------------------------------------
	ldi temp9,100
VGA_TEST_LINE_S2:
	call GRAFIC_LINIE
	LDS temp,(adr_GRAFIC_X2)
	dec temp
	STS(adr_GRAFIC_X2),temp
	dec temp9
	brne VGA_TEST_LINE_S2
;-------------------------------------------------------------------------------
	ldi temp9,100
VGA_TEST_LINE_S3:
	call GRAFIC_LINIE
	LDS temp,(adr_GRAFIC_Y2)
	dec temp
	STS(adr_GRAFIC_Y2),temp
	dec temp9
	brne VGA_TEST_LINE_S3
;-------------------------------------------------------------------------------
	ldi temp9,100
VGA_TEST_LINE_S4:
	call GRAFIC_LINIE
	LDS temp,(adr_GRAFIC_X2)
	inc temp
	STS(adr_GRAFIC_X2),temp
	dec temp9
	brne VGA_TEST_LINE_S4

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
VGA_TEST_PUNKTGROESSE:

	call FARBE_GRUEN	
	ldi XL, LOW (0)
	ldi XH,HIGH (0)

	ldi YL, LOW (160/2)
	ldi YH,HIGH (160/2)



	call GRAFIC_PUNKTGROESSE_0
	adiw XL,10
	call GRAFIC_PUNKT_X_Y

	call GRAFIC_PUNKTGROESSE_1
	adiw XL,10
	call GRAFIC_PUNKT_X_Y

	call GRAFIC_PUNKTGROESSE_2
	adiw XL,10
	call GRAFIC_PUNKT_X_Y

	call GRAFIC_PUNKTGROESSE_3
	adiw XL,15
	call GRAFIC_PUNKT_X_Y

	call GRAFIC_PUNKTGROESSE_4
	adiw XL,15
	call GRAFIC_PUNKT_X_Y

	call GRAFIC_PUNKTGROESSE_5
	adiw XL,16
	call GRAFIC_PUNKT_X_Y

	call GRAFIC_PUNKTGROESSE_6
	adiw XL,17
	call GRAFIC_PUNKT_X_Y

	call GRAFIC_PUNKTGROESSE_7
	adiw XL,18
	call GRAFIC_PUNKT_X_Y


	call GRAFIC_PUNKTGROESSE_8
	adiw XL,19
	call GRAFIC_PUNKT_X_Y


	call GRAFIC_PUNKTGROESSE_9
	adiw XL,20
	call GRAFIC_PUNKT_X_Y


ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; PIXEL an allen vier Ecken														
VGA_TEST_RAND_PIXEL:
	call FARBE_GRUEN
	; links oben			
	ldi XL, LOW (0)
	ldi XH,HIGH (0)
	ldi YL, LOW (159)
	ldi YH,HIGH (159)
	call GRAFIC_PUNKT_X_Y
	; rechts oben			
	ldi XL, LOW (179)
	ldi XH,HIGH (179)
	ldi YL, LOW (159)
	ldi YH,HIGH (159)
	call GRAFIC_PUNKT_X_Y
	; links unten			
	ldi XL, LOW (0)
	ldi XH,HIGH (0)
	ldi YL, LOW (0)
	ldi YH,HIGH (0)
	call GRAFIC_PUNKT_X_Y
	; rechts unten			
	ldi XL, LOW (179)
	ldi XH,HIGH (179)
	ldi YL, LOW (0)
	ldi YH,HIGH (0)
	call GRAFIC_PUNKT_X_Y
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
VGA_TEST_FARB_PIXEL:
	; TURBO			
	ldi YL,LOW (adr_VGA_TURBO_BEREICH160)
	ldi YH,HIGH(adr_VGA_TURBO_BEREICH160)
	; BILD			
	ldi ZL,LOW (adr_VGA_BILDBEREICH)
	ldi ZH,HIGH(adr_VGA_BILDBEREICH)
	clr temp7

	ldi temp8,53
VGA_TEST_FARB_PIXEL_s:
	ldi temp1,0b00100001			; R+G	
	ldi temp2,0b00010100			; B+R	
	ldi temp3,0b01000010			; G+B	
	call VGA_TEST_FARB_PIXEL_ZEILE
	ldi temp1,0b01000010			; G+B	
	ldi temp2,0b00100001			; R+G	
	ldi temp3,0b00010100			; B+R	
	call VGA_TEST_FARB_PIXEL_ZEILE
	ldi temp1,0b00010100			; B+R	
	ldi temp2,0b01000010			; G+B	
	ldi temp3,0b00100001			; R+G	
	call VGA_TEST_FARB_PIXEL_ZEILE
	dec temp8
	brne VGA_TEST_FARB_PIXEL_s

	ldi temp1,0b00100001			; R+G	
	ldi temp2,0b00010100			; B+R	
	ldi temp3,0b01000010			; G+B	
	call VGA_TEST_FARB_PIXEL_ZEILE

ret
;-------------------------------------------------------------------------------
VGA_TEST_FARB_PIXEL_ZEILE:
	; TURBO fr diese Zeile deaktivieren	
	ST Y+,NULL

	ldi temp9,30
VGA_TEST_FARB_PIXEL_ZEILE_s:
	ST Z+,temp1
	ST Z+,temp2
	ST Z+,temp3
	dec temp9
	brne VGA_TEST_FARB_PIXEL_ZEILE_s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
VGA_TEST_SCHACHBRETT:
	call FARBE_WEISS
	ldi YL, LOW (159)
	ldi YH,HIGH (159)
	;SCHLEIFE			
	ldi temp8,160		; Y
VGA_TEST_SCHACHBRETT_s2:
	;SCHLEIFE			
	ldi XL, LOW (0)
	ldi XH,HIGH (0)
	ldi temp9,180		; X
	WDR
VGA_TEST_SCHACHBRETT_s1:
	; PIXEL			
	call GRAFIC_PUNKT_X_Y
	; SPALTE		
	adiw XL,1
	; FARBE			
	rcall VGA_TEST_SCHACHBRETT_FARBE
	; SCHLEIFE		
	dec temp9
	brne VGA_TEST_SCHACHBRETT_s1
;-------------------------------------------------------------------------------
	; ZEILE			
	sbiw YL,1
	; FARBE			
	rcall VGA_TEST_SCHACHBRETT_FARBE
	; SCHLEIFE		
	dec temp8
	brne VGA_TEST_SCHACHBRETT_s2
	ret
;-------------------------------------------------------------------------------
VGA_TEST_SCHACHBRETT_FARBE:
	LDS temp,(adr_GRAFIC_FARBE)
;	inc temp	; BUNT			
	com temp	; Schwarz/weis	
	andi temp,0b00000111
	STS(adr_GRAFIC_FARBE),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
VGA_TEST_FARBBALKEN:
	; links oben			
	ldi YL, LOW (159)
	ldi YH,HIGH (159)
VGA_TEST_FARBBALKEN_s1:
	ldi XL, LOW (0)
	ldi XH,HIGH (0)
	call FARBE_ROT
	call VGA_TEST_FARBBALKEN_BALKEN
	call FARBE_GRUEN
	call VGA_TEST_FARBBALKEN_BALKEN
	call FARBE_BLAU
	call VGA_TEST_FARBBALKEN_BALKEN
	call FARBE_GELB
	call VGA_TEST_FARBBALKEN_BALKEN
	call FARBE_MAGENTA
	call VGA_TEST_FARBBALKEN_BALKEN
	call FARBE_CYAN
	call VGA_TEST_FARBBALKEN_BALKEN
	call FARBE_SCHWARZ
	call VGA_TEST_FARBBALKEN_BALKEN
	call GRAFIC_PUNKT_X_Y
	adiw XL,1
	call GRAFIC_PUNKT_X_Y
	adiw XL,1
	call FARBE_WEISS
	call VGA_TEST_FARBBALKEN_BALKEN
	call GRAFIC_PUNKT_X_Y
	adiw XL,1
	call GRAFIC_PUNKT_X_Y
	adiw XL,1
	; SCHLEIFE				
	sbiw YL,1
	tst YH
	breq VGA_TEST_FARBBALKEN_s1
ret
;-------------------------------------------------------------------------------
VGA_TEST_FARBBALKEN_BALKEN:
	WDR
	ldi temp7,22
VGA_TEST_FARBBALKEN_BALKEN_s:
	call GRAFIC_PUNKT_X_Y
	adiw XL,1
	dec temp7
	brne VGA_TEST_FARBBALKEN_BALKEN_s

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
VGA_TEST_ASCII:
	call FARBE_GRUEN
	call ASCII_CURSOR_ZEILE_0

	ldi temp9,255
	clr temp	
VGA_TEST_ASCII_s:
	call ASCII_TEMP
	inc temp
	cpi temp,127
	brne VGA_TEST_ASCII_sw
	push temp	
	call FARBE_ROT
	pop temp
VGA_TEST_ASCII_sw:
	dec temp9
	brne VGA_TEST_ASCII_s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
VGA_TEST_BOX:
	call FARBE_GRUEN
	; KOORDINATEN			
	ldi temp1,50			; Mittelpunkt	
	ldi temp2,50
	ldi temp3,100
	ldi temp4,100
	STS(adr_GRAFIC_X1),temp1
	STS(adr_GRAFIC_Y1),temp2
	STS(adr_GRAFIC_X2),temp3
	STS(adr_GRAFIC_Y2),temp4
	
	call GRAFIC_BOX
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
VGA_TEST_STERNENHIMMEL:
	; FARBE				
	ldi temp1,255
	call FUNCTION_ZUFALLSZAHL_TEMP1
	cpi temp1,7+1
	brlo VGA_TEST_STERNENHIMMEL_w
	clr temp1
VGA_TEST_STERNENHIMMEL_w:
	andi temp1,0b00000111
	STS(adr_GRAFIC_FARBE),temp1
	; X					
	ldi temp1,(180)
	call FUNCTION_ZUFALLSZAHL_TEMP1
	mov XL,temp1
	clr XH
	; Y					
	ldi temp1,(160)
	call FUNCTION_ZUFALLSZAHL_TEMP1
	mov YL,temp1
	clr YH
	; PUNKT				
	jmp GRAFIC_PUNKT_X_Y
; ##############################################################################
; ##############################################################################
; ##############################################################################


