; ##############################################################################
; ##############################################################################
; ##############################################################################
EDIT_NACHTMODUS_INITIALISIERUNG:
	call FARBE_WEISS					; FARBE	
	ldi ZL,LOW (TOUCH_TASTE_13*2)
	ldi ZH,HIGH(TOUCH_TASTE_13*2)
	call TOUCH_TASTE_DEFINIEREN_Z		; OK	

	call FARBE_GRUEN					; FARBE	

	ldi ZL,LOW (TOUCH_TASTE_ED_80*2)	; NACHT-ON
	ldi ZH,HIGH(TOUCH_TASTE_ED_80*2)
	call TOUCH_TASTE_DEFINIEREN_Z
	ldi ZL,LOW (TOUCH_TASTE_ED_81*2)
	ldi ZH,HIGH(TOUCH_TASTE_ED_81*2)
	call TOUCH_TASTE_DEFINIEREN_Z
	ldi ZL,LOW (TOUCH_TASTE_ED_82*2)	; NACHT-OFF
	ldi ZH,HIGH(TOUCH_TASTE_ED_82*2)
	call TOUCH_TASTE_DEFINIEREN_Z
	ldi ZL,LOW (TOUCH_TASTE_ED_83*2)
	ldi ZH,HIGH(TOUCH_TASTE_ED_83*2)
	call TOUCH_TASTE_DEFINIEREN_Z
	ldi ZL,LOW (TOUCH_TASTE_ED_84*2)	; FARBE-TAG
	ldi ZH,HIGH(TOUCH_TASTE_ED_84*2)
	call TOUCH_TASTE_DEFINIEREN_Z
	ldi ZL,LOW (TOUCH_TASTE_ED_85*2)
	ldi ZH,HIGH(TOUCH_TASTE_ED_85*2)
	call TOUCH_TASTE_DEFINIEREN_Z
	ldi ZL,LOW (TOUCH_TASTE_ED_86*2)	; FARBE-NACHT
	ldi ZH,HIGH(TOUCH_TASTE_ED_86*2)
	call TOUCH_TASTE_DEFINIEREN_Z
	ldi ZL,LOW (TOUCH_TASTE_ED_87*2)
	ldi ZH,HIGH(TOUCH_TASTE_ED_87*2)
	call TOUCH_TASTE_DEFINIEREN_Z
	ldi ZL,LOW (TOUCH_TASTE_ED_88*2)	; DISPLAY-ON
	ldi ZH,HIGH(TOUCH_TASTE_ED_88*2)
	call TOUCH_TASTE_DEFINIEREN_Z
	ldi ZL,LOW (TOUCH_TASTE_ED_89*2)
	ldi ZH,HIGH(TOUCH_TASTE_ED_89*2)
	call TOUCH_TASTE_DEFINIEREN_Z
	ldi ZL,LOW (TOUCH_TASTE_ED_90*2)	; DISPLAY-OFF
	ldi ZH,HIGH(TOUCH_TASTE_ED_90*2)
	call TOUCH_TASTE_DEFINIEREN_Z
	ldi ZL,LOW (TOUCH_TASTE_ED_91*2)
	ldi ZH,HIGH(TOUCH_TASTE_ED_91*2)
	call TOUCH_TASTE_DEFINIEREN_Z
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
EDIT_NACHTMODUS_ANZEIGE:
	; RCKGABEWERT abfragen		
	LDS temp1,(adr_TOUCH_RUECKGABEWERT)
;-------------------------------------------------------------------------------
; OK-TASTE																		
	cpi temp1,13
	brne EDIT_NACHTMODUS_NO_13
	STS(adr_MODUS),NULL
	STS(adr_MENUE),NULL
	call EEPROM_KONFIGURATION_SPEICHERN
	ret
EDIT_NACHTMODUS_NO_13:
;-------------------------------------------------------------------------------
; NACHT-ON-																		
	cpi temp1,80
	brne EDIT_NACHTMODUS_NO_80
	LDS temp1,(adr_NACHTMODUS_ON_hh)
	LDS temp2,(adr_NACHTMODUS_ON_mm)
	rcall EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_MINUS	; MINUS 15 Minuten
	STS(adr_NACHTMODUS_ON_hh),temp1
	STS(adr_NACHTMODUS_ON_mm),temp2
	rjmp EDIT_NACHTMODUS_FERTIG
EDIT_NACHTMODUS_NO_80:
;-------------------------------------------------------------------------------
; NACHT-ON+																		
	cpi temp1,81
	brne EDIT_NACHTMODUS_NO_81
	LDS temp1,(adr_NACHTMODUS_ON_hh)
	LDS temp2,(adr_NACHTMODUS_ON_mm)
	rcall EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_PLUS	; PLUS 15 Minuten
	STS(adr_NACHTMODUS_ON_hh),temp1
	STS(adr_NACHTMODUS_ON_mm),temp2
	rjmp EDIT_NACHTMODUS_FERTIG
EDIT_NACHTMODUS_NO_81:
;-------------------------------------------------------------------------------
; NACHT-OFF-																	
	cpi temp1,82
	brne EDIT_NACHTMODUS_NO_82
	LDS temp1,(adr_NACHTMODUS_OFF_hh)
	LDS temp2,(adr_NACHTMODUS_OFF_mm)
	rcall EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_MINUS	; MINUS 15 Minuten
	STS(adr_NACHTMODUS_OFF_hh),temp1
	STS(adr_NACHTMODUS_OFF_mm),temp2
	rjmp EDIT_NACHTMODUS_FERTIG
EDIT_NACHTMODUS_NO_82:
;-------------------------------------------------------------------------------
; NACHT-OFF+																	
	cpi temp1,83
	brne EDIT_NACHTMODUS_NO_83
	LDS temp1,(adr_NACHTMODUS_OFF_hh)
	LDS temp2,(adr_NACHTMODUS_OFF_mm)
	rcall EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_PLUS	; PLUS 15 Minuten
	STS(adr_NACHTMODUS_OFF_hh),temp1
	STS(adr_NACHTMODUS_OFF_mm),temp2
	rjmp EDIT_NACHTMODUS_FERTIG
EDIT_NACHTMODUS_NO_83:
;-------------------------------------------------------------------------------
; FARBE-TAG-																	
	cpi temp1,84
	brne EDIT_NACHTMODUS_NO_84
	LDS temp,(adr_FARBE_TAG)
	dec temp
	andi temp,0b00000111
	call EDIT_NACHTMODUS_NO_NULL_TEMP
	STS(adr_FARBE_TAG),temp
	rjmp EDIT_NACHTMODUS_FERTIG
EDIT_NACHTMODUS_NO_84:
;-------------------------------------------------------------------------------
; FARBE-TAG+																	
	cpi temp1,85
	brne EDIT_NACHTMODUS_NO_85
	LDS temp,(adr_FARBE_TAG)
	inc temp
	andi temp,0b00000111
	call EDIT_NACHTMODUS_NO_NULL_TEMP
	STS(adr_FARBE_TAG),temp
	rjmp EDIT_NACHTMODUS_FERTIG
EDIT_NACHTMODUS_NO_85:
;-------------------------------------------------------------------------------
; FARBE-NACHT-																	
	cpi temp1,86
	brne EDIT_NACHTMODUS_NO_86
	LDS temp,(adr_FARBE_NACHT)
	dec temp
	andi temp,0b00000111
	call EDIT_NACHTMODUS_NO_NULL_TEMP
	STS(adr_FARBE_NACHT),temp
	rjmp EDIT_NACHTMODUS_FERTIG
EDIT_NACHTMODUS_NO_86:
;-------------------------------------------------------------------------------
; FARBE-NACHT+																	
	cpi temp1,87
	brne EDIT_NACHTMODUS_NO_87
	LDS temp,(adr_FARBE_NACHT)
	inc temp
	andi temp,0b00000111
	call EDIT_NACHTMODUS_NO_NULL_TEMP
	STS(adr_FARBE_NACHT),temp
	rjmp EDIT_NACHTMODUS_FERTIG
EDIT_NACHTMODUS_NO_87:
;-------------------------------------------------------------------------------
; DISPLAY-ON-																	
	cpi temp1,88
	brne EDIT_NACHTMODUS_NO_88
	LDS temp1,(adr_DISPLAY_ON_hh)
	LDS temp2,(adr_DISPLAY_ON_mm)
	rcall EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_MINUS	; MINUS 15 Minuten
	STS(adr_DISPLAY_ON_hh),temp1
	STS(adr_DISPLAY_ON_mm),temp2
	rjmp EDIT_NACHTMODUS_FERTIG
EDIT_NACHTMODUS_NO_88:
;-------------------------------------------------------------------------------
; DISPLAY-ON+																	
	cpi temp1,89
	brne EDIT_NACHTMODUS_NO_89
	LDS temp1,(adr_DISPLAY_ON_hh)
	LDS temp2,(adr_DISPLAY_ON_mm)
	rcall EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_PLUS	; PLUS 15 Minuten
	STS(adr_DISPLAY_ON_hh),temp1
	STS(adr_DISPLAY_ON_mm),temp2
	rjmp EDIT_NACHTMODUS_FERTIG
EDIT_NACHTMODUS_NO_89:
;-------------------------------------------------------------------------------
; DISPLAY-OFF-																	
	cpi temp1,90
	brne EDIT_NACHTMODUS_NO_90
	LDS temp1,(adr_DISPLAY_OFF_hh)
	LDS temp2,(adr_DISPLAY_OFF_mm)
	rcall EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_MINUS	; MINUS 15 Minuten
	STS(adr_DISPLAY_OFF_hh),temp1
	STS(adr_DISPLAY_OFF_mm),temp2
	rjmp EDIT_NACHTMODUS_FERTIG
EDIT_NACHTMODUS_NO_90:
;-------------------------------------------------------------------------------
; DISPLAY-OFF+																	
	cpi temp1,91
	brne EDIT_NACHTMODUS_NO_91
	LDS temp1,(adr_DISPLAY_OFF_hh)
	LDS temp2,(adr_DISPLAY_OFF_mm)
	rcall EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_PLUS	; PLUS 15 Minuten
	STS(adr_DISPLAY_OFF_hh),temp1
	STS(adr_DISPLAY_OFF_mm),temp2
	rjmp EDIT_NACHTMODUS_FERTIG
EDIT_NACHTMODUS_NO_91:
;-------------------------------------------------------------------------------



;-------------------------------------------------------------------------------
EDIT_NACHTMODUS_FERTIG:
	call ASCII_CURSOR_ZEILE_1
	call FARBE_GRUEN				; FARBE	
	call ASCII_N
	call ASCII_A
	call ASCII_C
	call ASCII_H
	call ASCII_T
	call ASCII_MINUS
	call ASCII_O
	call ASCII_N
	call ASCII_DOPPEL_PUNKT
	call ASCII_SPACE
	call ASCII_SPACE2
	call FARBE_WEISS				; FARBE	
	LDS temp1,(adr_NACHTMODUS_ON_hh)
	LDS temp2,(adr_NACHTMODUS_ON_mm)
	call EDIT_NACHTMODUS_ANZEIGE_ZEIT_TEMP1_TEMP2
;-------------------------------------------------------------------------------
	call ASCII_CURSOR_ZEILE_2
	call FARBE_GRUEN				; FARBE	
	call ASCII_N
	call ASCII_A
	call ASCII_C
	call ASCII_H
	call ASCII_T
	call ASCII_MINUS
	call ASCII_O
	call ASCII_F
	call ASCII_F
	call ASCII_DOPPEL_PUNKT
	call ASCII_SPACE2
	call FARBE_WEISS				; FARBE	
	LDS temp1,(adr_NACHTMODUS_OFF_hh)
	LDS temp2,(adr_NACHTMODUS_OFF_mm)
	call EDIT_NACHTMODUS_ANZEIGE_ZEIT_TEMP1_TEMP2
;-------------------------------------------------------------------------------
	call ASCII_CURSOR_ZEILE_3
	LDS temp,(adr_FARBE_TAG)				; FARBE	
	STS(adr_GRAFIC_FARBE),temp
	call ASCII_F
	call ASCII_A
	call ASCII_R
	call ASCII_B
	call ASCII_E
	call ASCII_MINUS
	call ASCII_T
	call ASCII_A
	call ASCII_G
;-------------------------------------------------------------------------------
	call ASCII_CURSOR_ZEILE_4
	LDS temp,(adr_FARBE_NACHT)				; FARBE	
	STS(adr_GRAFIC_FARBE),temp
	call ASCII_F
	call ASCII_A
	call ASCII_R
	call ASCII_B
	call ASCII_E
	call ASCII_MINUS
	call ASCII_N
	call ASCII_A
	call ASCII_C
	call ASCII_H
	call ASCII_T
;-------------------------------------------------------------------------------
	call ASCII_CURSOR_ZEILE_5
	call FARBE_GRUEN				; FARBE	
	call ASCII_D
	call ASCII_I
	call ASCII_S
	call ASCII_P
	call ASCII_L
	call ASCII_A
	call ASCII_Y
	call ASCII_MINUS
	call ASCII_O
	call ASCII_N
	call ASCII_DOPPEL_PUNKT
	call ASCII_SPACE
	call FARBE_WEISS				; FARBE	
	LDS temp1,(adr_DISPLAY_ON_hh)
	LDS temp2,(adr_DISPLAY_ON_mm)
	call EDIT_NACHTMODUS_ANZEIGE_ZEIT_TEMP1_TEMP2
;-------------------------------------------------------------------------------
	call ASCII_CURSOR_ZEILE_6
	call FARBE_GRUEN				; FARBE	
	call ASCII_D
	call ASCII_I
	call ASCII_S
	call ASCII_P
	call ASCII_L
	call ASCII_A
	call ASCII_Y
	call ASCII_MINUS
	call ASCII_O
	call ASCII_F
	call ASCII_F
	call ASCII_DOPPEL_PUNKT
	call FARBE_WEISS				; FARBE	
	LDS temp1,(adr_DISPLAY_OFF_hh)
	LDS temp2,(adr_DISPLAY_OFF_mm)
	call EDIT_NACHTMODUS_ANZEIGE_ZEIT_TEMP1_TEMP2
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; TEMP1=hh   TEMP2=mm															
EDIT_NACHTMODUS_ANZEIGE_ZEIT_TEMP1_TEMP2:
	PUSH temp2
	call ANZEIGE_2_STELLEN_TEMP1
	call ASCII_DOPPEL_PUNKT
	pop  temp1
	jmp ANZEIGE_2_STELLEN_TEMP1
; ##############################################################################
; ##############################################################################
; ##############################################################################
EDIT_NACHTMODUS_NO_NULL_TEMP:
	tst temp
	breq EDIT_NACHTMODUS_NO_NULL_TEMP_w
	ret
EDIT_NACHTMODUS_NO_NULL_TEMP_w:
	ldi temp,1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; TEMP1=hh   TEMP2=mm															
EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_PLUS:
	; SONDERFUNKTION 255
	cpi temp1,255
	brne EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_PLUS_OK
	clr temp1
	clr temp2
	ret
;-------------------------------------------------------------------------------
EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_PLUS_OK:
	; mm+15				
	subi temp2,(-15)	
	cpi temp2,60
	brsh EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_PLUS_w1
	ret
EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_PLUS_w1:
	clr temp2
	; hh+1				
	inc temp1
	cpi temp1,24
	brsh EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_PLUS_w2
	ret
EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_PLUS_w2:
	; hh=NULL			
	clr temp1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; TEMP1=hh   TEMP2=mm															
EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_MINUS:
	; SONDERFUNKTION 255
	cpi temp1,255
	brne EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_MINUS_OK
	ret
;-------------------------------------------------------------------------------
EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_MINUS_OK:
	; mm-15				
	subi temp2,(15)
	brmi EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_MINUS_w1
	ret
EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_MINUS_w1:
	ldi temp2,45
	; hh-1				
	dec temp1
	brmi EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_MINUS_255
	ret
EDIT_NACHTMODUS_HH_MM_TEMP1_TEMP2_MINUS_255:
	; SONDERFUNKTION 255	
	ldi temp1,255
	ldi temp2,255
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################







